Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules
Class ScheduledJobLoader

    java.lang.Object
      org.apache.turbine.modules.GenericLoader<ScheduledJob>
          org.apache.turbine.modules.ScheduledJobLoader

All Implemented Interfaces:
  Loader<ScheduledJob>

    public class ScheduledJobLoader

extends GenericLoader<ScheduledJob>
implements Loader<ScheduledJob>

ScheduledJobs loader class.

Version:
  $Id: ScheduledJobLoader.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Dave Bryson, Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.turbine.modules.GenericLoader
`ab`

Method Summary
`void` | `exec(JobEntry job, String name)` Attempts to load and execute the external ScheduledJob.
`void` | `exec(RunData data, String name)` Attempts to load and execute the external ScheduledJob.
`ScheduledJob` | `getAssembler(String name)` Pulls out an instance of the object by name.
`int` | `getCacheSize()` Get the size of a possibly configured cache
`static ScheduledJobLoader` | `getInstance()` The method through which this class is accessed.

Methods inherited from class org.apache.turbine.modules.GenericLoader
`exec, getAssembler, getBasePackage, getPackages, reload, setReload`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### exec

    public void exec(JobEntry job,
                     String name)
              throws Exception

  Attempts to load and execute the external ScheduledJob.

  Parameters:
    `job` - The JobEntry.
    `name` - Name of object that will execute the job.
  Throws:
    `Exception` - a generic exception.

### exec

    public void exec(RunData data,
                     String name)
              throws Exception

  Attempts to load and execute the external ScheduledJob. HELP! - THIS IS UGLY! I want the cache stuff from GenericLoader, BUT, I don't think the scheduler needs the Rundata object. The scheduler runs independently of an HTTP request. This should not extend GenericLoader! Thoughts??

  Specified by:
    `exec` in class `GenericLoader<ScheduledJob>`
  Parameters:
    `data` - Turbine information.
    `name` - Name of object that will execute the job.
  Throws:
    `Exception` - a generic exception.

### getAssembler

    public ScheduledJob getAssembler(String name)
                              throws Exception

  Pulls out an instance of the object by name. Name is just the single name of the object. This is equal to getInstance but returns an Assembler object and is needed to fulfil the Loader interface.

  Specified by:
    `getAssembler` in interface `Loader<ScheduledJob>`
  Parameters:
    `name` - Name of object instance.
  Returns:
    A ScheduledJob with the specified name, or null.
  Throws:
    `Exception` - a generic exception.

### getCacheSize

    public int getCacheSize()

  Description copied from interface: `Loader`
  Get the size of a possibly configured cache

  Specified by:
    `getCacheSize` in interface `Loader<ScheduledJob>`
  Returns:
    the size of the cache in bytes
  See Also:
    `Loader.getCacheSize()`

### getInstance

    public static ScheduledJobLoader getInstance()

  The method through which this class is accessed.

  Returns:
    The single instance of this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.